<?php
/* 
Template Name: Search Page
*/
get_header(); ?>
        <section id="content" role="main">
        <?php if ( have_posts() ): while ( have_posts() ) : the_post(); ?>
         <header>		
              <hgroup>
                  <h1><a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_title(); ?></a></h1>
                  <h5 id="entry-author-info"><?php the_author(); ?> / <?php the_date(); ?></h5>
                  <p>Your search has returned <?php echo $totalresults; ?> results.</p>
              </hgroup>
            </header>
	        <article class="entry-summary">
		    <?php the_excerpt(); ?>	    
                </article><!-- ends entry-summary. -->                  
	<?php endwhile; endif; ?>
                        <div class="pagination">
                            <p><?php posts_nav_link(); ?></p>
                        </div>
          
            <?php if ( ! have_posts() ): ?>
                <article id="post-0">
                    <header>
                        <h3><?php _e( 'No Search Matches For: ', 'tswclear' ); ?></h3>
                    </header> <!-- end article header -->
                        <div id="post-0" class="post no-results not-found">    
                            <div class="entry-content">
                                <blockquote><?php the_search_query(); ?></blockquote>
                        <p><?php _e( 'Nothing matched your search criteria. Please try again with new keywords.', 'tswclear' ); ?></p>
                            </div><!-- ends entry-content --><br>
                                <?php get_search_form(); ?> 
                        </div><!-- ends post-0 -->

                </article>
            <?php endif; ?>
        </section><!-- #content -->
<?php get_footer(); ?>
  